import React from "react";
import { InputMask } from "primereact/inputmask";
import classes from "../assets/styles/components/myInput.module.scss";

const MyInput = (props) => {
    return (
        <div className={classes.main} style={{...props.otherMainStyle}}>
            {
                props.mask ? 
                    <InputMask 
                        type={props.type} 
                        placeholder={props.placeholder} 
                        style={{...props.otherInputStyle}} 
                        onChange={(e) => props.change(e.target.value)} 
                        value={props.value}
                        mask={props.mask}
                    /> :
                    <input 
                        type={props.type} 
                        placeholder={props.placeholder} 
                        style={{...props.otherInputStyle}} 
                        onChange={(e) => props.change(e.target.value)} 
                        value={props.value}
                    />
            }
        </div>
    )
}

export default MyInput;